AlertDefinitionsResponse (Hyperic HQ Plugin API)
Keywords: org.hyperic.hq.types.AlertDefinitionsResponse class

Overview | Package | Class | Tree | Deprecated | Index | Help
| Hyperic HQ Plugin API v. 4.4.0.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hyperic.hq.types
Class AlertDefinitionsResponse

    java.lang.Object
      org.hyperic.hq.types.Response
          org.hyperic.hq.types.AlertDefinitionsResponse

    public class AlertDefinitionsResponse

extends Response

Java class for anonymous complex type.

The following schema fragment specifies the expected content contained within this class.

     <complexType>
       <complexContent>
         <extension base="{}Response">
           <sequence>
             <element name="AlertDefinition" type="{}AlertDefinition" maxOccurs="unbounded"/>
           </sequence>
         </extension>
       </complexContent>
     </complexType>

Field Summary
`protected java.util.List<AlertDefinition>` | `alertDefinition`

Fields inherited from class org.hyperic.hq.types.Response
`error, status`

Constructor Summary
`AlertDefinitionsResponse()`

Method Summary
`java.util.List<AlertDefinition>` | `getAlertDefinition()` Gets the value of the alertDefinition property.

Methods inherited from class org.hyperic.hq.types.Response
`getError, getStatus, setError, setStatus`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### alertDefinition

    protected java.util.List<AlertDefinition> alertDefinition

Constructor Detail

### AlertDefinitionsResponse

    public AlertDefinitionsResponse()

Method Detail

### getAlertDefinition

    public java.util.List<AlertDefinition> getAlertDefinition()

  Gets the value of the alertDefinition property.

  This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the alertDefinition property.

  For example, to add a new item, do as follows:

          getAlertDefinition().add(newItem);

  Objects of the following type(s) are allowed in the list `AlertDefinition`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Hyperic HQ Plugin API v. 4.4.0.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004-2006 Hyperic, Inc. support@hyperic.net, All Rights Reserved.